#import "ACTION.h"

@implementation ACTION

-(id) init  :(GLushort)new_NodeID  :(GLushort)new_ParentNodeID  :(NSString*)new_Name {
	
    if ((self = [super init])) {
		
        actionName                     = new_Name;
        actionNodeID                   = new_NodeID;
        actionParentNodeID             = new_ParentNodeID;
        actionMsBindTransform          = [DualQuaternion new];
        actionMsInverseBindTransform   = [DualQuaternion new];
        actionMsAnimatedPoseTransform  = [DualQuaternion new];
        actionAnimations               = nil;
        actionAnimationLength          = 0;
    }
    
    return self;
}
    
-(NSString*)        getName                    { return actionName; }
-(GLushort)         getNodeID                  { return actionNodeID; }
-(GLushort)         getParentIndex             { return actionParentNodeID; }
-(DualQuaternion*)  getMsBindTransform         { return actionMsBindTransform; }
-(DualQuaternion*)  getMsInverseBindTransform  { return actionMsInverseBindTransform; }
-(DualQuaternion*)  getMsAnimatedPoseTransform { return actionMsAnimatedPoseTransform; }
-(NSArray*)         getAnimations              { return actionAnimations; }
-(ushort)           getAnimationLength         { return actionAnimationLength; }

-(void) setMsBindTransform          :(DualQuaternion*)new_MsBindTransform         { actionMsBindTransform = new_MsBindTransform; }
-(void) setMsInverseBindTransform   :(DualQuaternion*)new_MsInverseBindTransform  { actionMsInverseBindTransform = new_MsInverseBindTransform; }
-(void) setMsAnimatedPoseTransform  :(DualQuaternion*)new_MsAnimatedPoseTransform { actionMsAnimatedPoseTransform = new_MsAnimatedPoseTransform; }
-(void) setAnimations               :(NSArray*)new_Animations    { actionAnimations  = new_Animations; }
-(void) setAnimationLength          :(ushort)new_AnimationLength { actionAnimationLength = new_AnimationLength; }

@end
