@interface Animation : NSObject {

    NSMutableArray  *boneAnimations;        // Array of animations, one entry per bone with each entry an array of BoneKeyFrame objects, ordered by time stamps
    NSMutableArray  *boneAnimationLengths;  // Array of lengths (float), one entry per bone with each entry being the length (seconds) of this bone's animation
}

-(id)   init        :(NSMutableArray*)in_boneAnimations  :(NSMutableArray*)in_boneAnimationLengths;

-(NSMutableArray*)  getBoneAnimations;
-(NSMutableArray*)  getBoneAnimationLengths;

@end
