#import "DualQuaternion.h"

@interface BoneKeyFrame : NSObject {
    
    float            timeStamp;                  // Time (seconds) to when this keyframe occurs within the bone's animation
    DualQuaternion  *boneTransform;              // Dual Quaternion representing the Bones pose transform at this timeStamp
}

-(id)   init  :(float)in_timeStamp  :(DualQuaternion*)in_boneTransform;

-(float)            getTimeStamp;
-(DualQuaternion*)  getBoneTransform;

@end
