#import "P2Material.h"

@implementation P2Material

-(id) init {
    
    if (self = [super init]) {
        
		name[0]      = '\0';
            
		transparency = 0.0;
        shininess    = 0.0;
            
        doublesided  = false;

		ambient      = [P2RGBColor new];
		diffuse      = [P2RGBColor new];
		specular     = [P2RGBColor new];
        
        textureMap1  = [P2TextureMap new];
        textureMap2  = [P2TextureMap new];
        bumpMap      = [P2TextureMap new];
    }
    
    return	self;
}

-(P2RGBColor*) getAmbient  { return ambient; }
-(P2RGBColor*) getDiffuse  { return diffuse; }
-(P2RGBColor*) getSpecular { return specular; }

-(P2TextureMap*)  getTextureMap1  { return textureMap1; }
-(P2TextureMap*)  getTextureMap2  { return textureMap2; }
-(P2TextureMap*)  getBumpMap      { return bumpMap; }

-(float*)   getTransparency  { return &transparency; }
-(float*)   getShininess     { return &shininess; }
-(BOOL*)    getDoubleSided   { return &doublesided; }
-(char*)    getMatName       { return name; }

-(void)     setMatName      :(char*)newMatName      { strcpy (name, newMatName); }
-(void)     setDoubleSided  :(BOOL)newDoublesided   { doublesided = newDoublesided; }

@end
