#import "P2ArmatureBone.h"

@implementation P2ArmatureBone

-(id) init {
    
    if (self = [super init]) {
        
        boneName            = nil;
        boneIndex           = 0;
        boneParentIndex     = 0;
        boneAnimationLength = 0;
        boneChildIndices    = nil;
        boneAnimations      = nil;
        boneLsBindTransform = [Matrix4f new];
        boneLocation        = [Vector3f new];
        boneRotation        = [Vector4f new];
        boneScale           = [Vector3f new];
    }
    
    return self;
}

-(NSString*)        getName            { return boneName; }
-(ushort)           getIndex           { return boneIndex; }
-(ushort)           getParentIndex     { return boneParentIndex; }
-(ushort)           getAnimationLength { return boneAnimationLength; }
-(NSMutableArray*)  getChildIndices    { return boneChildIndices; }
-(NSMutableArray*)  getAnimations      { return boneAnimations; }
-(Matrix4f*)        getLsBindTransform { return boneLsBindTransform; }
-(Vector3f*)        getLocation        { return boneLocation; }
-(Vector4f*)        getRotation        { return boneRotation; }
-(Vector3f*)        getScale           { return boneScale; }

-(void)     setName             :(NSString*)new_Name               { boneName  = new_Name; }
-(void)     setIndex            :(ushort)new_Index                 { boneIndex = new_Index; }
-(void)     setParentIndex      :(ushort)new_ParentIndex           { boneParentIndex = new_ParentIndex; }
-(void)     setAnimationLength  :(ushort)new_AnimationLength       { boneAnimationLength = new_AnimationLength; }
-(void)     setChildIndices     :(NSMutableArray*)new_ChildIndices { boneChildIndices = new_ChildIndices; }
-(void)     setAnimations       :(NSMutableArray*)new_Animations   { boneAnimations = new_Animations; }
-(void)     setLsBindTransform  :(Matrix4f*)new_LocalBindTransform { boneLsBindTransform = new_LocalBindTransform; }
-(void)     setLocation         :(Vector3f*)new_Location           { boneLocation = new_Location; }
-(void)     setRotation         :(Vector4f*)new_Rotation           { boneRotation = new_Rotation; }
-(void)     setScale            :(Vector3f*)new_Scale              { boneScale    = new_Scale; }

@end
