#import "Matrix4f.h"

@interface Vector4f : NSObject {
    
    float   x, y, z;
    float   w;
}

-(id)       init   :(float)in_X     :(float)in_Y    :(float)in_Z  W:(float)in_W;
-(id)       initFromGLM  :(glm::vec4)in_glmVec4;

-(float)    getX;
-(float)    getY;
-(float)    getZ;
-(float)    getW;

-(float*)   getXptr;
-(float*)   getYptr;
-(float*)   getZptr;
-(float*)   getWptr;

-(void)     setX   :(float)in_X;
-(void)     setY   :(float)in_Y;
-(void)     setZ   :(float)in_Z;
-(void)     setW   :(float)in_W;

+(Vector4f*) transform     :(Matrix4f*)left  :(Vector4f*)right;
+(float)     dot           :(Vector4f*)left  :(Vector4f*)right;

@end
